Fiix
Integrate your application with the Fiix API
🚀 Quickstart
Connect to Fiix with Tenklo and see data flow in 2 minutes.
In Tenklo (free signup), go to Integrations -> Configure New Integration -> Fiix.
Go to Connections -> Add Test Connection -> Authorize, then enter your subdomain, App Key, Access Key, and Secret Key. Later, you'll let your users do the same directly from your app.
Let's make your first request to the Fiix API to list your accounts. Replace the placeholders below with your Environment API key, integration ID, and connection ID:
curl -X POST "https://api.tenklo.dev/proxy/api/" \
-H "Authorization: Bearer <NANGO-API-KEY>" \
-H "Provider-Config-Key: <INTEGRATION-ID>" \
-H "Connection-Id: <CONNECTION-ID>" \
-H "Content-Type: application/json" \
-d '{"_maCn": "FindRequest", "clientVersion": {"major": 2, "minor": 8, "patch": 1}, "className": "Account", "fields": "id, strCode, strDescription"}'Tenklo adds your keys to the request URL and signs every request for you.
Fiix returns errors with a 200 status. Check the response for an error object to know if a request failed.
Or fetch credentials with the Node SDK or API.
✅ You're connected! Check the Logs tab in Tenklo to inspect requests.
Follow our quickstart to integrate Tenklo in your app.
📚 Fiix integration guides
- How do I link my account?
Get your subdomain and API keys to connect your Fiix account.
Official docs: Fiix API documentation
🧩 Pre-built syncs & actions for Fiix
Enable them in your dashboard. Extend and customize to fit your needs.
No pre-built syncs or actions available yet.